CifParentChild Class Reference

`#include <CifParentChild.h>`

Inheritance diagram for CifParentChild:
Collaboration diagram for CifParentChild:

## Public Member Functions

| CifParentChild (Block &block)
| CifParentChild (Block &block, ISTable *parChildTableP)
virtual | ~CifParentChild ()
int | CheckParentChild (Block &block, ISTable &catTable, std::ostringstream &log)
void | WriteGroupTables (Block &block)
Public Member Functions inherited from ParentChild
| ParentChild ()
virtual | ~ParentChild ()
const std::vector< std::vector < std::string > > & | GetComboKeys (const std::string &catName)
std::vector< std::vector < std::vector< std::string > > > & | GetChildrenKeys (const std::vector< std::string > &parComboKey)
void | GetParents (std::vector< std::vector< std::string > > &parParKeys, std::vector< std::vector< std::string > > &comboComboKeys, const std::string &childCat)
void | GetLinkGroupIdLabel (std::string &linkGroupIdLabel, const std::vector< std::string > &parKeys, const std::vector< std::string > &childKeys)
bool | IsParKeyPresent (const std::vector< std::string > &parKey, const std::string &childCatName)
bool | IsInParentComboKeys (const std::string &itemName)

## Protected Member Functions

void | GetParentCifItems (std::vector< std::string > &parCifItems, const std::string &cifItemName)
Protected Member Functions inherited from ParentChild
void | GetComboKeys (const std::string &parCatName, const unsigned int maxKeyGroup, ISTable &keysTable, std::vector< std::vector< std::string > > &comboKeys, std::vector< std::string > &parKeys)
void | AddParentCategoryToItemLinkedGroup (ISTable &itemLinkedGroup, ISTable &itemLinkedGroupList)
void | CreateAllRelations (ISTable &itemLinkedGroup, ISTable &itemLinkedGroupList)
void | ISTableFindPairs (std::map< std::string, std::vector< std::vector< std::string > > > &childrenKeys, const std::vector< std::string > &parKeys, ISTable &itemLinkedGroupList)
void | UpdateMap (std::map< std::string, std::vector< std::vector< std::string > > > &childrenKeys, const std::string &childCat, std::vector< std::string > &childKeys)
void | UpdateParComboKeys (const std::string &parName, std::vector< std::string > &parKeys)
void | UpdateRelations (std::vector< std::string > &parKeys, std::vector< std::vector< std::string > > &comboKeys)
bool | KeysMatch (const std::vector< std::string > &firstKey, const std::vector< std::string > &secondKey)

## Additional Inherited Members

Public Attributes inherited from ParentChild
ISTable * | _groupTableP
ISTable * | _groupListTableP
Protected Attributes inherited from ParentChild
std::map< std::string, std::vector< std::vector < std::string > > > | _parComboKeys
std::map< std::vector < std::string >, std::vector < std::vector< std::vector < std::string > > > > | _relations

## Constructor & Destructor Documentation

CifParentChild::CifParentChild | ( | Block & | block) |  |

CifParentChild::CifParentChild | ( | Block & | block,
|  | ISTable * | parChildTableP
| ) |  |

virtual CifParentChild::~CifParentChild | ( | ) |  |

virtual

## Member Function Documentation

int CifParentChild::CheckParentChild | ( | Block & | block,
|  | ISTable & | catTable,
|  | std::ostringstream & | log
| ) |  |

void CifParentChild::GetParentCifItems | ( | std::vector< std::string > & | parCifItems,
|  | const std::string & | cifItemName
| ) |  |

protected virtual

Implements ParentChild.

void CifParentChild::WriteGroupTables | ( | Block & | block) |  |

The documentation for this class was generated from the following file:

- rcsb/CifParentChild.h